Summary:        Standards handling for freedesktop.org standards
Name:           efreet
Version:        1.7.4
Release:        1%{?dist}
Group:          System Environment/Libraries
License:        MIT
URL:            http://enlightenment.org
Source0:        http://download.enlightenment.org/releases/%{name}-%{version}.tar.gz
BuildRequires:  ecore-devel 
BuildRequires:  chrpath 
BuildRequires:  pkgconfig 
%description
An implementation of several specifications from freedesktop.org intended for
use in Enlightenment DR17 (e17) and other applications using the Enlightenment
Foundation Libraries (EFL). Currently, the following specifications are
included:
  * Base Directory
  * Desktop Entry
  * Icon Theme
  * Menu
  * Trash
  * Mime

%package        devel
Summary:        efreet headers, documentation and test programs
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       ecore-devel
Requires:       pkgconfig

%description    devel
Libraries and header files for efreet

%prep
%setup -q -n %{name}-%{version}
sed -i -e 's,${exec_prefix}/lib,%{_libdir},' configure

%build
%configure --disable-static
make %{?_smp_mflags}
cd doc
make doc %{?_smp_mflags}

%install
%make_install
chrpath --delete %{buildroot}%{_libdir}/libefreet_*.so*
chrpath --delete %{buildroot}%{_libdir}/efreet/*
find %{buildroot} -name '*.la' -delete

rm %{buildroot}%{_bindir}/%{name}_*
rm -r %{buildroot}%{_datadir}/%{name}
chrpath --delete %{buildroot}%{_libdir}/lib%{name}.so*
%find_lang %{name}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f %{name}.lang
%doc AUTHORS COPYING README
%{_libdir}/lib*.so.*
%{_libdir}/%{name}

%files devel
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc

%changelog
* Sun Dec 30 2012 Rahul Sundaram <sundaram@fedoraproject.org> - 1.7.4-1
- initial spec
